NfsClientV3 (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class NfsClientV3

    java.lang.Object
      org.hyperic.sigar.NfsClientV3

All Implemented Interfaces:
  java.io.Serializable

    public class NfsClientV3

extends java.lang.Object
implements java.io.Serializable

NfsClientV3 sigar class.

See Also:
  Serialized Form

Constructor Summary
`NfsClientV3()`

Method Summary
`void` | `gather(Sigar sigar)`
`long` | `getAccess()` Get the access.
`long` | `getCommit()` Get the commit.
`long` | `getCreate()` Get the create.
`long` | `getFsinfo()` Get the fsinfo.
`long` | `getFsstat()` Get the fsstat.
`long` | `getGetattr()` Get the getattr.
`long` | `getLink()` Get the link.
`long` | `getLookup()` Get the lookup.
`long` | `getMkdir()` Get the mkdir.
`long` | `getMknod()` Get the mknod.
`long` | `getNull()` Get the null.
`long` | `getPathconf()` Get the pathconf.
`long` | `getRead()` Get the read.
`long` | `getReaddir()` Get the readdir.
`long` | `getReaddirplus()` Get the readdirplus.
`long` | `getReadlink()` Get the readlink.
`long` | `getRemove()` Get the remove.
`long` | `getRename()` Get the rename.
`long` | `getRmdir()` Get the rmdir.
`long` | `getSetattr()` Get the setattr.
`long` | `getSymlink()` Get the symlink.
`long` | `getWrite()` Get the write.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NfsClientV3

    public NfsClientV3()

Method Detail

### gather

    public void gather(Sigar sigar)
                throws SigarException

  Throws:
    `SigarException`

### getNull

    public long getNull()

  Get the null.

  Supported Platforms: Undocumented.

  Returns:
    null

### getGetattr

    public long getGetattr()

  Get the getattr.

  Supported Platforms: Undocumented.

  Returns:
    getattr

### getSetattr

    public long getSetattr()

  Get the setattr.

  Supported Platforms: Undocumented.

  Returns:
    setattr

### getLookup

    public long getLookup()

  Get the lookup.

  Supported Platforms: Undocumented.

  Returns:
    lookup

### getAccess

    public long getAccess()

  Get the access.

  Supported Platforms: Undocumented.

  Returns:
    access

### getReadlink

    public long getReadlink()

  Get the readlink.

  Supported Platforms: Undocumented.

  Returns:
    readlink

### getRead

    public long getRead()

  Get the read.

  Supported Platforms: Undocumented.

  Returns:
    read

### getWrite

    public long getWrite()

  Get the write.

  Supported Platforms: Undocumented.

  Returns:
    write

### getCreate

    public long getCreate()

  Get the create.

  Supported Platforms: Undocumented.

  Returns:
    create

### getMkdir

    public long getMkdir()

  Get the mkdir.

  Supported Platforms: Undocumented.

  Returns:
    mkdir

### getSymlink

    public long getSymlink()

  Get the symlink.

  Supported Platforms: Undocumented.

  Returns:
    symlink

### getMknod

    public long getMknod()

  Get the mknod.

  Supported Platforms: Undocumented.

  Returns:
    mknod

### getRemove

    public long getRemove()

  Get the remove.

  Supported Platforms: Undocumented.

  Returns:
    remove

### getRmdir

    public long getRmdir()

  Get the rmdir.

  Supported Platforms: Undocumented.

  Returns:
    rmdir

### getRename

    public long getRename()

  Get the rename.

  Supported Platforms: Undocumented.

  Returns:
    rename

### getLink

    public long getLink()

  Get the link.

  Supported Platforms: Undocumented.

  Returns:
    link

### getReaddir

    public long getReaddir()

  Get the readdir.

  Supported Platforms: Undocumented.

  Returns:
    readdir

### getReaddirplus

    public long getReaddirplus()

  Get the readdirplus.

  Supported Platforms: Undocumented.

  Returns:
    readdirplus

### getFsstat

    public long getFsstat()

  Get the fsstat.

  Supported Platforms: Undocumented.

  Returns:
    fsstat

### getFsinfo

    public long getFsinfo()

  Get the fsinfo.

  Supported Platforms: Undocumented.

  Returns:
    fsinfo

### getPathconf

    public long getPathconf()

  Get the pathconf.

  Supported Platforms: Undocumented.

  Returns:
    pathconf

### getCommit

    public long getCommit()

  Get the commit.

  Supported Platforms: Undocumented.

  Returns:
    commit

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.